// 处理y轴最大最小值
export const yMethod = (arr: any) => {
    let maxValue = 0
    let minValue = 0
    let max = 0
    let min = 0
    maxValue = Math.max(...arr)
    minValue = Math.min(...arr)
    if (maxValue > 1000 || minValue < -1000) {
        max = Math.ceil(maxValue / 100) * 100
        if (minValue == 0) {
            min = 0
        } else {
            min = Math.floor(minValue / 100) * 100
        }
    } else if (maxValue == minValue && maxValue != 0 && minValue != 0) {
        max = Math.ceil(maxValue / 10 + 1) * 10
        min = Math.floor(minValue / 10 - 1) * 10
    } else {
        max = Math.ceil(maxValue / 10) * 10
        min = Math.floor(minValue / 10) * 10
    }

    if (maxValue > 0 && maxValue < 1) {
        max = 1
    } else if (max == 0 && minValue > -1 && minValue < 0) {
        min = -1
    }
    return [min, max]
}

/**
 * title['A相','B相',]
 * data[[1,2],[3,4]]
 */
// 导出csv文件
const convertToCSV = (title: object, data: any) => {
    console.log('🚀 ~ convertToCSV ~ data:', data)
    let csv = ''
    // 添加列头
    csv += ',' + title.join(',') + '\n'
    // 遍历数据并添加到CSV字符串中
    data?.map(item => {
        csv += item.join(',') + '\n'
    })
    return csv
}
export const exportCSV = (title: object, data: any, filename: string) => {
    const csv = convertToCSV(title, data)
    const blob = new Blob([csv], { type: 'text/csv;charset=utf-8;' })
    const link = document.createElement('a')
    link.href = URL.createObjectURL(blob)
    link.download = filename
    link.click()
    // 释放URL对象
    URL.revokeObjectURL(link.href)
}
